This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 246716

Summary: Review Request: ruby-RMagick - Graphics Processing for Ruby and Ruby on Rails
Product: [Fedora] Fedora Reporter: Mamoru TASAKA <mtasaka>
Component: Package ReviewAssignee: Nicolas Chauvet (kwizart) <kwizart>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, notting
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-08-24 07:34:36 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 201449    

Description Mamoru TASAKA 2007-07-04 07:41:52 EDT
Spec URL: http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/Fedora/development/SPECS/ruby-RMagick.spec
SRPM URL: http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/Fedora/development/SRPMS/
Mock build log on rawhide i386: http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/Fedora/development/LOGS/MOCK-ruby-RMagick.log
Description: 
RMagick is an interface between the Ruby programming language and the
ImageMagick and GraphicsMagick image processing libraries.
Comment 1 Mamoru TASAKA 2007-07-04 09:04:46 EDT
http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/Fedora/development/SPECS/ruby-RMagick.spec
http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/Fedora/development/SRPMS/ruby-RMagick-1.15.7-3.fc8.src.rpm

--------------------------------------------------
* Wed Jul  4 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.15.7-3
- Add defattr also to doc subpackage
Comment 2 Nicolas Chauvet (kwizart) 2007-07-13 08:44:12 EDT
Ok im' not very experienced in ruby. here are few comments:
*%define		rubyabi		1.8
Is this a hardrequires or is it possible to have someting like in python:
%{expand: %%define pyver %(python -c 'import sys;print(sys.version[0:3])')}

* why does this is needed : %define		repoid		21576 ?

* Why do you have BuildRequires: ruby and ruby-devel ?

* About # 1. First hack ImageMagick font configuration
Does this is a special tweak for RMagick or this could be fixed in ImageMagick
pacakge ?

build.log:
* Why theses dependencies aren't found ?

checking for AdaptiveBlurImageChannel... no
checking for AdaptiveResizeImage... no
...
checking for GetColorHistogram... no
checking for GetColorInfoArray... no
...
checking for GetImageStatistics... no
checking for GetMagickInfoArray... no
...
checking for GrayscalePseudoClassImage... no
checking for InterpolatePixelColor... no
checking for IsImageSimilar... no
checking for LinearStretchImage... no
checking for OrderedPosterizeImageChannel... no
checking for PolaroidImage... no
checking for QuantumOperatorRegionImage... no
checking for RecolorImage... no
checking for SetImageRegistry... no
checking for SketchImage... no
checking for UniqueImageColors... no
checking for PaletteBilevelMatteType enum value... no
...
checking if GetImageQuantumDepth has only 1 argument... no
checking if GetColorInfoList has only 2 arguments... no
checking if GetTypeInfoList has only 2 arguments... no
checking if GetMagickInfoList has only 2 arguments... no
checking if ColorInfo.color is a MagickPixelPacket... no

* -doc
Installed docs in $(pwd)/Trash are the same as thoses present in doc from source
 - good
But do # 3. clean up is needed to prevent thoses files to be installed ? Are
they installed in $(pwd)/Trash ? Why not to use instead (for -doc)
%doc Trash/*
* naming - I don't know if this is mandatory but -docs is sometime choosen
instead of -doc for documentation sub-package...

* rpmlint on installed file is quiet

Comment 3 Mamoru TASAKA 2007-07-13 13:25:26 EDT
(In reply to comment #2)
> *%define		rubyabi		1.8
> Is this a hardrequires or is it possible to have someting like in python:
There is surely some hack (some GLib users use the hack),
it is rather complicated (because ruby is not included in
minimum build environ) and I find the hack of little sense.
NOTE: On rawhide, the hack you mentioned can no longer be used
      even for python because python is removed from minimum
      build environ

> * why does this is needed : %define	repoid	21576 ?
This figure is needed for source URL, but I don't want to
write the figure directly on URL because this id may change
for different version.

> * Why do you have BuildRequires: ruby and ruby-devel ?
This type of BuildRequires frequently happens when BuildRequires
target rpm ship -libs package (i.e. ruby-devel requires ruby-libs
but does not require ruby itself).

> * About # 1. First hack ImageMagick font configuration
> Does this is a special tweak for RMagick or this could be 
> fixed in ImageMagick pacakge ?
This can be fixed by ImageMagick side fix, however to file a
bug against ImageMagick, I must explain and justify 
why the fix is needed against ImageMagick, and before 
it perhaps I must investigate ImageMagick code... (for now
I can only say "after this fix RMagick works, don't know
why it is needed in detail"

So for now I fixed RMagick side.

> build.log:
> * Why theses dependencies aren't found ?
> 
> checking for AdaptiveBlurImageChannel... no
> checking for AdaptiveResizeImage... no
This is because I build against ImageMagick and not against
GraphicsMagick. From googling I have a impression that
most user uses RMagick with ImageMagick.
 
> * -doc
> But do # 3. clean up is needed to prevent thoses files to be installed ? 
> Are
> they installed in $(pwd)/Trash ? Why not to use instead (for -doc)
> %doc Trash/*
Simply my custom. For documentation I don't want to use
installed files by make file because it is usually troublesome.

> * naming - I don't know if this is mandatory but -docs is sometime choosen
> instead of -doc for documentation sub-package...
lftp ftp.kddilabs.jp:/Linux/packages/fedora/development/i386/os/Fedora> ls -al
*-doc-* | wc -l
87
lftp ftp.kddilabs.jp:/Linux/packages/fedora/development/i386/os/Fedora> ls -al
*-docs-* | wc -l
33
Comment 4 Mamoru TASAKA 2007-07-20 10:54:31 EDT
(Now I am thinking about how to deal with type-windows.xml in
 ImageMagick)
Comment 5 Nicolas Chauvet (kwizart) 2007-07-20 20:14:42 EDT
Any news about the ImageMagick problem ? did you advices upstream ?
Do you mind you can advices nmurray at redhat dot com which is the maintainer of
ImageMagick (whereas reported as jkeating by buggbot)
Comment 6 Mamoru TASAKA 2007-08-24 07:34:36 EDT
Sorry, once I withdraw this review submit as currenly I have no
idea of how to resolve ImageMagick issue.
Comment 7 Mamoru TASAKA 2007-09-22 12:02:02 EDT
Nicolas: 
If you have rawhide machine, I resubmitted a new review request
of this package as bug 301711. I would appreviate it if you would
review the new one again (currently only rawhide is supported). 

*** This bug has been marked as a duplicate of 301711 ***